#include "game_info.h"
#include "starcode.h"
#include <stdio.h>
#include "char_lcd.h"

static char game_state[GAME_STATE_MAX_LEN+2] = " MENU ";

void set_game_state(const char* new_state) {
    snprintf(game_state, sizeof(game_state), " %-5s", new_state);
}

void reset_game_state() {
    set_game_state("");
}

void lcd_print_header_step() {
    if (!lcd_header_enabled()) return;
    if (lcd_starcode_displaying_result()) return;

    lcd_print(0, 10, game_state);
}
